document.addEventListener("DOMContentLoaded", () => {
    var CL = console.log;
    let photobtn = document.querySelectorAll('div.photo input[type="radio"]'),
	shopbtn  = document.querySelectorAll('div.shop input[type="radio"]');
    for (let b of photobtn) {		// ラジオボタンを
	b.checked = false;		// 全部未チェックにする
	CL("Cleared");
    }
    function hantei0(e) {
	var selection = e.target.id;
	CL(`val = ${selection}`);	// 写真側どれかボタンが選ばれたら
	for (let b of shopbtn) {	// 店名ラジオボタンを
	    b.checked = false;		// 全部未チェックにする
	}
    }
    function whichshop() {	// 選択されているshopボタンのidを返す
	let selected;
	for (let b of photobtn)
	    if (b.checked) return b.id;
	return null;		// 選択されていなければnull
    }
    function hantei1(e) {
	let selection = e.target.id;
	let kekka = document.getElementById("kekka"),
	    selphoto = whichshop();
	if (selphoto) {			// 写真側で何か選ばれていたら
	    if (selection == "s-"+selphoto) {
		kekka.textContent = "正解!"	// p要素の内部文字列を上書き
		kekka.classList.remove("ng");	// ngのclass設定を外して
		kekka.classList.add("ok");	// okのclass設定を足す
	    } else {
		kekka.textContent = "ぶっぶー!"
		kekka.classList.remove("ok");
		kekka.classList.add("ng");
	    }
	} else {
	    kekka.textContent = "写真側を選んでください。";
	}
    }
    for (let radio of photobtn) {	// 写真ボタンクリックは hantei0()
	radio.addEventListener("click", hantei0, false);
    }
    for (let radio of shopbtn) {	// 店名ボタンクリックは hantei1()
	radio.addEventListener("click", hantei1, false);
    }
    document.getElementById("shuffle").addEventListener("click", (e) => {
	//SHUFFLEボタンを押したら memory-shuffle.js をロードする。
	let script = document.createElement("script");
	script.src = "memory-shuffle.js";
	document.body.appendChild(script);
    }, false);
    document.getElementById("csvload").addEventListener("click", (e) => {
	//SHUFFLEボタンを押したら csv.min.js と memory-csv.js をロードする。
	let script0 = document.createElement("script");
	script0.src = "csv.min.js";
	document.body.appendChild(script0);
	script0.onload = ()=> {
	    let script = document.createElement("script");
	    script.src = "memory-csv.js";
	    document.body.appendChild(script);
	}
    }, false);
}, false);
